package com.ssj.service.conch.schoolmaster.dto;

import java.io.Serializable;

public class OrderDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String orderId;	            //string	订单id
    private int orderType;	            //int	订单类型1：1对1课程订单 2：同伴作业吧督导
    private String orderTime;	        //string	订单时间
    private int orderStatus;	        //	订单状态1：未支付 2：已支付 3：退款中 4：已退款 5：已完结
    private String teacherName;	        //string	授课老师
    private String subjectName;     	//string	科目
    private String grade;	            //string	年级
    private int courseCount;     	    //int	购买课时
    private String startTime;	        //string	开始时间
    private String endTime;         	//string	结束时间
    private int buyType;	            //string	购买类型1:月卡2：季度卡 3:年卡
    private String serviceValidityTime;	//string	服务有效期
    private String serviceLibrary;	    //string	服务归属馆


    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public int getOrderType() {
        return orderType;
    }

    public void setOrderType(int orderType) {
        this.orderType = orderType;
    }

    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }

    public int getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(int orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public int getCourseCount() {
        return courseCount;
    }

    public void setCourseCount(int courseCount) {
        this.courseCount = courseCount;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public int getBuyType() {
        return buyType;
    }

    public void setBuyType(int buyType) {
        this.buyType = buyType;
    }

    public String getServiceValidityTime() {
        return serviceValidityTime;
    }

    public void setServiceValidityTime(String serviceValidityTime) {
        this.serviceValidityTime = serviceValidityTime;
    }

    public String getServiceLibrary() {
        return serviceLibrary;
    }

    public void setServiceLibrary(String serviceLibrary) {
        this.serviceLibrary = serviceLibrary;
    }
}
